#Tile info patching script for Keen 3
%ext ck3

%version 1.0
%patchfile 0x199F8 blocks.tli

%version 1.31
%patchfile 0x198C8 blocks.tli

#Files
%patchfile 0x179D0 HELPTEXT.CK3 #Help
%patchfile 0x18BD0 STORYTXT.CK3 #Story
%patchfile 0x181A0 ENDTXT.CK3 #End text

#Meep
%patch $3D84 $02 $00 #Strength

#Vortimom
%patch $3D1C $03 $00 #Strength

#Jack
%patch $3F4C $C8 $00 #Jack initial if spawned above/left of Keen [right]
%patch $3F45 $37 $FF #Jack initial if spawned below right of Keen [left]
%patch $3F6C $C8 $00 #Jack initial if spawned above Keen [down]
%patch $3F65 $37 $FF #Jack initial if spawned below Keen [up]

%patch $4BE2 $37 $FF #Jack left speed 2
%patch $4BEE $C8 $00 #Jack right speed 2
%patch $4BFA $37 $FF #Jack upwards speed 2
%patch $4C06 $C8 $00 #Jack downwards speed 2

%patch $3F27 $7E $4B #Jack spawns dead foob when shot or touched

#Mangling Machine
#How many sparks need to be shot to destroy the arms
%patch $4E53 $02 $00

#Floor tile (Stops legs) [L leg moves up first]
%patch $541B $62 $01

#Mortimer converstation
%patch $1C08D "What?"

%patch $1C093 "... is this?"

%patch $1C0A0 "This looks awful! "

%patch $1C0B3 "The Governor: This is the Mangling    "
%patch $1C0DB "Caterpillar. You didn't expect this,  "
%patch $1C103 "huh? Commander Clown, you won't      "
%patch $1C12A "disable this machine so easily. The"
%patch $1C14F "power atoms are inside the legs.     "

%patch $1C176 "Commander Keen:                    "
%patch $1C19B "No problem Govi, I'll just shoot  "
%patch $1C1BF "your cockpit and the electrical       "
%patch $1C1E7 "shortcuts will disable your machine."
%patch $1C20D "           "

%patch $1C21A "The Governor:                  "
%patch $1C23B "Try that and I'll shoot you! "

%patch $1C25A "... but first Keen must get to "
%patch $1C27B "the cockpit. Likely be trampled  "
%patch $1C29E "by the legs or lynched by the   "
%patch $1C2C0 "Yorps on its back...             "

#Stop 8th textbox appearing
%patch $597E $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90

%patch $1C305 "'Your task is upon you!              "
%patch $1C32C "Go get them Commander Keen!'         "
%patch $1C353 "Keen says to himself.    "

#Ship Messages
%patch $1CE04 "Keen enters his ship, but the  "
%patch $1CE25 "Yorps junping at his window "
%patch $1CE43 "making faces really annoy him."
%patch $1CE63 "                    "

%patch $1CE78 "Keen goes back to the ship to "
%patch $1CE98 "wash his hair, because a Yorp"
%patch $1CEB7 "spit in his helmet.           "

%patch $1CED6 "Keen hides in his ship for a   "
%patch $1CEF7 "while because a couple of "
%patch $1CF13 "Yorps caught him cheating at    "
%patch $1CF35 "their poker round.         "

%patch $1CF51 "Keen goes back to his ship  "
%patch $1CF6F "for a root beer float          "
%patch $1CF90 "refreshment.              "
%patch $1CFAC "                           "

#Finale
%patch $1C36D "Keen successfully disabled the "
%patch $1C395 "Mangling Caterpillar, thus freeing  "
%patch $1C3BB "the Yorps from their oppressor, and   "
%patch $1C3E3 "restoring their happiness.            "

%patch $1C40B "'Captain Keen, we are so happy   "
%patch $1C433 "that you saved us from Mortimers      "
%patch $1C45B "Governor Bot. We never meant...      "

%patch $1C482 "... to harm you. It was the Governor  "
%patch $1C4AA "Bot built by Mortimer that       "
%patch $1C4D2 "brainwashed us.'          "


#About ID
%patch $1C870 "This mod was completed in honor of"
%patch $1C898 "Ceilick. He abandoned this mod to"
%patch $1C8C0 "create other great mods.      "
%patch $1C8E8 "Modders:            "
%patch $1C910 "Ceilick - Graphics              "
%patch $1C938 "Tulip - Levels, Story and patching "
%patch $1C960 "shikadi - Levels          "
%patch $1C988 "Stealthy71088 - Levels "
%patch $1C9B0 "and a monster.               "
%patch $1C9D8 "                                 "
%patch $1CA00 "Now go enjoy the mod!    "

#Menu
%patch $1C801 "The Modders"
%patch $1C811 "Top Keeners"

#Loading Screen
%patch $1BBA7 "Loading Tribulation of the Yorps (1.31)                "

%end
